//----------------------------------------------------------------------------
//  Project basuser.ide
//  Building Automation Services
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    basuser.ide.apx Application
//  FILE:         decoratedchild.cpp
//  AUTHOR:       Bruce E. Stemplewski
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TDecoratedChild (TDecoratedFrame).
//
//----------------------------------------------------------------------------
#include <owl/pch.h>

#include "decoratedchild.h"


//{{TDecoratedChild Implementation}}


TDecoratedChild::TDecoratedChild(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
    TDecoratedFrame(parent, title, clientWnd == 0 ? new TListWindow(0, 100, 0, 0, 0, 0) : clientWnd, trackMenuSelection, module)
{
    Attr.Style = WS_CHILD | WS_VISIBLE;
}



TDecoratedChild::~TDecoratedChild()
{
  Destroy();

  // INSERT>> Your destructor code here.

}


void TDecoratedChild::SetupWindow()
{
  TDecoratedFrame::SetupWindow();

  ValueWind = TYPESAFE_DOWNCAST(GetClientWindow(),TListWindow);
  TListWindColumn address("Address", 10);
  ValueWind->InsertColumn(0, address);
  TListWindColumn description("Description", 35, TListWindColumn::Left);
  ValueWind->InsertColumn(1, description);
  TListWindColumn value("Value", 15, TListWindColumn::Right);
  ValueWind->InsertColumn(2,value);
}

